View Issue Details

IDProjectCategoryView StatusLast Update
0000264Far Manager 1.7xFiles Highlightingpublic2008-03-12 06:54
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000264: Недочёты диалога редактирования группы раскраски
Description1. В диалоге редактирования группы раскраски в секции задания цветов неуместный здесь Tab order — по столбцам (обозначен цифрами):
1. Normal file name 5. Marking
2. Selected file name 6. Marking
3. File name under cursor 7. Marking
4. File name selected under cursor 8. Marking
Хочется, чтобы тут он был по строкам.

2. Хочется, если в диалогах редактирования группы раскраски и фильтра панели назначить горячие клавиши (например, по первой букве) на элементы выпадающих списков Size in и Date/Time, чтобы эти горячие клавиши (например, B) срабатывали только тогда, когда открыт выпадающий список. Желательно, чтобы и амперсанд у выбранного значения не показывался.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=19680#19680
TagsNo tags attached.
Build2324

Activities

vskirdin

2008-01-22 08:51

administrator   bugnote:0001159

1. поменял
2. сделал... тока пришлось править Dialog, посему... хмм... надо тестить

HaRT

2008-03-06 15:58

reporter   bugnote:0001208

На какой сборке тестировать-то?
В 2315 ещё ни 1, ни 2 не сделано.

alexy

2008-03-08 07:24

administrator   bugnote:0001225

Валя, там не тока цифири надо было поменять но и сам tab-order :)

alexy

2008-03-09 07:13

administrator   bugnote:0001250

Валя, может ты забыл закомитить? Я ничего такого вообще не вижу.

vskirdin

2008-03-11 06:33

administrator   bugnote:0001273

Тыкс. 1 и 2 сделал... пока тестим... в другом месте :-)
Как тесты пройдут - закоммичу

vskirdin

2008-03-11 16:24

administrator   bugnote:0001277

после 2323

HaRT

2008-03-11 16:28

reporter   bugnote:0001278

Проверено на Far 1.71 alpha vmenu based on build 2321

alexy

2008-03-11 18:01

administrator   bugnote:0001279

Кнопочки в раскаске после смены порядка табов немного не то стали сделать :)

alexy

2008-03-12 06:54

administrator   bugnote:0001289

В 2324 всё отлично, закрываю.

Issue History

Date Modified Username Field Change
2007-02-09 13:14 HaRT New Issue
2008-01-22 08:50 vskirdin Status new => assigned
2008-01-22 08:50 vskirdin Assigned To => vskirdin
2008-01-22 08:51 vskirdin Note Added: 0001159
2008-03-06 15:58 HaRT Note Added: 0001208
2008-03-08 07:24 alexy Note Added: 0001225
2008-03-09 07:13 alexy Note Added: 0001250
2008-03-11 06:33 vskirdin Note Added: 0001273
2008-03-11 16:24 vskirdin Note Added: 0001277
2008-03-11 16:24 vskirdin Status assigned => feedback
2008-03-11 16:28 HaRT Status feedback => resolved
2008-03-11 16:28 HaRT Resolution open => fixed
2008-03-11 16:28 HaRT Note Added: 0001278
2008-03-11 18:01 alexy Note Added: 0001279
2008-03-11 18:01 alexy Status resolved => assigned
2008-03-11 18:01 alexy Resolution fixed => reopened
2008-03-12 06:54 alexy Build => 2324
2008-03-12 06:54 alexy Status assigned => closed
2008-03-12 06:54 alexy Note Added: 0001289
2008-03-12 06:54 alexy Resolution reopened => fixed
2008-03-12 06:54 alexy Fixed in Version => 1.71